//
// Login Bean Class:  Transfers application server data
// containing user login information.
//

public class LoginData {

	// Class variables
	String username = "", password = "";
	int level = 0;
	boolean accessed = false;


	// Standard Input Functions
	public void setUsername( String value ) {
		if (value != null)
			username = value;
	}

	public void setPassword( String value ) {
		if (value != null)
			password = value;
	}

	public void setRetry( boolean value ) {
		accessed = value;
	}

	public void setLevel( int value ) {
		level = value;
	}



	// Standard Output Functions
        public String getUsername() {
		return username;
	}

	public String getPassword() {
		return password;
	}

	public int getLevel() {
		return level;
	}


	// Advanced Input/Output Functions

	//  return the username in lowercase
        public String getUserLower() {
		return username.toLowerCase();
	}

	// returns false only on first access of form
	public boolean retry() {
		return accessed;
	}
} // LoginData