//
// Search Bean Class:  Transfers application server data
// containing book search information.
//

public class SearchData {

	// Class variables
	int searchType=0;
	String searchString="", searchTypeLabel="";


	// Standard Input Functions
	public void setSearchType( int value ) {
		searchType = value;
		if(searchType==0)
			searchTypeLabel= "author";
		else if(searchType==1)
			searchTypeLabel= "title";
		else
			searchTypeLabel= "ISBN";
	}

	public void setSearchString( String value ) {
		if (value != null)
			searchString = value;
	}


	// Standard Output Functions
	public int getSearchType() {
		return searchType;
	}

	public String getSearchTypeLabel() {
		return searchTypeLabel;
	}


	// Advanced Input/Output Functions

	// return the search string in lowercase
	public String getSearchString() {
 		return searchString.toLowerCase();
	}
} // SearchData